query listActivityLog @auth(level: USER) {
  activityLogs {
    id
    title
    description
    activityType
    userId
    isRead
    iconType
    iconColor
  }
}

query getActivityLogById(
  $id: UUID!
) @auth(level: USER) {
  activityLog(id: $id) {
    id
    title
    description
    activityType
    userId
    isRead
    iconType
    iconColor
  }
}

query filterActivityLog(
  $userId: String,
  $activityType: ActivityType,
  $isRead: Boolean
) @auth(level: USER) {
  activityLogs(
    where: {
      userId: { eq: $userId }
      activityType: { eq: $activityType }
      isRead: { eq: $isRead }
    }
  ) {
    id
    title
    description
    activityType
    userId
    isRead
    iconType
    iconColor
  }
}
